package com.xlht.xlhtproject.controller;


import com.xlht.xlhtproject.respParse.bean.AjaxResult;
import com.xlht.xlhtproject.service.IFrontService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 前端用户相关接口
 */
@RestController
@RequestMapping("/front")
@Slf4j
public class FrontController {

    @Autowired
    private IFrontService frontService;


    /**
     *
     * 智能投药系统获取实时需要数据接口
     * @return
     */
    @GetMapping("/bigModel/smartAdd/dataInfo")
    public AjaxResult smartAddDataInfo()
    {
        log.info("进入了 智能投药系统获取实时需要数据 接口");
        return AjaxResult.success(frontService.smartAddDataInfo());
    }


    /**
     * type说明：
     * 0：进水流量
     * 1：#1好氧池硝酸盐
     * 2：#2好氧池硝酸盐
     * 3：#1缺氧池氨氮
     * 4：#2缺氧池氨氮
     * 5：进水COD
     * 6：进水总氮
     * 7：碳源投加量
     *
     *
     * @param type
     * @return
     */
    @GetMapping("/bigModel/smartAdd/charList/{type}")
    public AjaxResult smartAddCharList(@PathVariable int type, @RequestParam(required = false, name = "timeBegin") String timeBegin, @RequestParam(required = false, name = "timeEnd") String timeEnd)
    {
        log.info("进入了 智能投药系统获取对应指标最近1天的数据情况 接口");
        return AjaxResult.success(frontService.smartAddCharList(type, timeBegin, timeEnd));
    }



}
