package com.xlht.xlhtproject.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;

import com.xlht.xlhtproject.respParse.bean.AjaxResult;
import com.xlht.xlhtproject.respParse.page.TableDataInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.xlht.xlhtproject.domain.ZAssay;
import com.xlht.xlhtproject.service.IZAssayService;

/**
 * 化验项目信息Controller
 * 
 * @author slibra
 * @date 2024-09-19
 */
@RestController
@RequestMapping("/business/assay")
public class ZAssayController extends BaseController
{
    @Autowired
    private IZAssayService zAssayService;

    /**
     * 查询化验项目信息列表
     */
    @GetMapping("/list")
    public TableDataInfo list(ZAssay zAssay)
    {
        startPage();
        List<ZAssay> list = zAssayService.selectZAssayList(zAssay);
        return getDataTable(list);
    }

    /**
     * 导出化验项目信息列表
     */
   /*@PostMapping("/export")
    public void export(HttpServletResponse response, ZAssay zAssay)
    {
        List<ZAssay> list = zAssayService.selectZAssayList(zAssay);
        ExcelUtil<ZAssay> util = new ExcelUtil<ZAssay>(ZAssay.class);
        util.exportExcel(response, list, "化验项目信息数据");
    }*/

    /**
     * 获取化验项目信息详细信息
     */
    @GetMapping(value = "/{assayId}")
    public AjaxResult getInfo(@PathVariable("assayId") Long assayId)
    {
        return success(zAssayService.selectZAssayByAssayId(assayId));
    }

    /**
     * 新增化验项目信息
     */
    @PostMapping
    public AjaxResult add(@RequestBody ZAssay zAssay)
    {
        return toAjax(zAssayService.insertZAssay(zAssay));
    }

    /**
     * 修改化验项目信息
     */
    @PutMapping
    public AjaxResult edit(@RequestBody ZAssay zAssay)
    {
        return toAjax(zAssayService.updateZAssay(zAssay));
    }

    /**
     * 删除化验项目信息
     */
	@DeleteMapping("/{assayIds}")
    public AjaxResult remove(@PathVariable Long[] assayIds)
    {
        return toAjax(zAssayService.deleteZAssayByAssayIds(assayIds));
    }
}
