package com.xlht.xlhtproject.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 入库数据_5分钟间隔对象 T_SHUJU_1
 * 
 * @author slibra
 * @date 2024-09-19
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TShuju1
{
    private static final long serialVersionUID = 1L;

    /** 自动序号 */
    private Long ID;

    /** 进水总流量 */
    private BigDecimal scJsZll;

    /** 进水COD*/
    private BigDecimal scJsCod;

    /** 进水总氮 */
    private BigDecimal scJsZongdan;

    /** 进水氨氮 */
    private BigDecimal scJsAndan;

    /** 进水总磷 */
    private BigDecimal scJsZonglin;

    /** 出水COD */
    private BigDecimal scCsCod;

    /** 出水总氮 */
    private BigDecimal scCsZongdan;

    /** 出水氨氮 */
    private BigDecimal scCsAndan;

    /** 出水总磷 */
    private BigDecimal scCsZonglin;

    /** 出水总流量 */
    private BigDecimal scCsZll;

    /** 1池缺氧氨氮 */
    private BigDecimal jqr1QyAndan;

    /** 1池缺氧氨氮-化验时间 */
    private String jqr1QyAndanTime;

    /** 1池缺氧硝氮 */
    private BigDecimal jqr1QyXiaodan;

    /** 1池缺氧硝氮-化验时间 */
    private String jqr1QyXiaodanTime;

    /** 1池好氧氨氮 */
    private BigDecimal jqr1HyAndan;

    /** 1池好氧氨氮-化验时间 */
    private String jqr1HyAndanTime;

    /** 1池好氧硝氮 */
    private BigDecimal jqr1HyXiaodan;

    /** 1池好氧硝氮-化验时间 */
    private String jqr1HyXiaodanTime;

    /** 2池缺氧氨氮 */
    private BigDecimal jqr2QyAndan;

    /** 2池缺氧氨氮-化验时间 */
    private String jqr2QyAndanTime;

    /** 2池缺氧硝氮 */
    private BigDecimal jqr2QyXiaodan;

    /** 2池缺氧硝氮-化验时间 */
    private String jqr2QyXiaodanTime;

    /** 2池好氧氨氮 */
    private BigDecimal jqr2HyAndan;

    /** 2池好氧氨氮-化验时间 */
    private String jqr2HyAndanTime;

    /** 2池好样硝氮 */
    private BigDecimal jqr2HyXiaodan;

    /** 2池好氧硝氮-化验时间 */
    private String jqr2HyXiaodanTime;

    /** 生物池进水COD */
    private BigDecimal jqrSwcCod;

    /** 生物池进水COD-化验时间 */
    private String jqrSwcCodTime;

    /** 入库时间 */
    private String TIME;

    /** 1池好氧正磷 */
    private BigDecimal jqr1HyZhenglin;

    /** 1池好氧正磷-化验时间 */
    private String jqr1HyZhenglinTime;

    /** 2池好氧正磷 */
    private BigDecimal jqr2HyZhenglin;

    /** 2池好氧正磷-化验时间 */
    private String jqr2HyZhenglinTime;

    /** 生物池进水正磷 */
    private BigDecimal jqrSwcZhenglin;

    /** 生物池进水正磷-化验时间 */
    private String jqrSwcZhenglinTime;


    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 备注 */
    private String remark;

    //请求参数

    /**  开始时间 */
    private String timeBegin;

    /** 截止时间 */
    private String timeEnd;

}
