package com.xlht.xlhtproject.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;


/**
 * 同步数据组态读对象 T_tb_du
 * 
 * @author slibra
 * @date 2024-09-19
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TTbDu
{
    private static final long serialVersionUID = 1L;

    /** 住建唯一ID */
    private Long ID;

    /** 1池投加流量 */
    private Long c1TjLl;

    /** 1池投加流量_更新时间 */
    private String c1TjLlTime;

    /** 2池投加流量 */
    private Long c2TjLl;

    /** 2池投加流量_更新时间 */
    private String c2TjLlTime;

    /** 是否允许投放（0否  1是） */
    private Long ACTIVE;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 备注 */
    private String remark;

    //请求参数

    /**  开始时间 */
    private String timeBegin;

    /** 截止时间 */
    private String timeEnd;
}
